# cc.journeyman.the-great-game.objects.game-object documentation

## Generated by Codox

# The-great-game 0.1.2-SNAPSHOT

# cc.journeyman.the-great-game.objects.game-object

Anything at all in the game world

### ProtoObject

#### protocol

An object in the world

#### members

### id

`(id object)`

Returns the unique id of this object.

### reify-object

`(reify-object object)`

Adds this `object` to the global object list. If the `object` has a non-nil value for its `id` method, keys it to that id - but if the id value is already in use, throws a hard exception. Returns the id to which the object is keyed in the global object list.

view source